VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Anim.mul Read by Fallout"
   ClientHeight    =   6075
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6675
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6075
   ScaleWidth      =   6675
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdGetIdList 
      Caption         =   "Get Id"
      Height          =   255
      Left            =   4440
      TabIndex        =   7
      Top             =   5760
      Width           =   855
   End
   Begin VB.ListBox lstId 
      Appearance      =   0  'Flat
      Height          =   6075
      Left            =   5400
      TabIndex        =   6
      Top             =   0
      Width           =   1215
   End
   Begin VB.TextBox txtIdx 
      Appearance      =   0  'Flat
      BackColor       =   &H8000000F&
      Height          =   285
      Left            =   120
      TabIndex        =   5
      Text            =   "C:\program files\ultima online\anim.idx"
      Top             =   5760
      Width           =   4215
   End
   Begin VB.CommandButton cmdSetPath 
      Caption         =   "Set Path's"
      Height          =   255
      Left            =   4440
      TabIndex        =   4
      Top             =   5400
      Width           =   855
   End
   Begin VB.HScrollBar LeftRight 
      Height          =   255
      Left            =   0
      Max             =   2560
      TabIndex        =   3
      Top             =   5040
      Width           =   4935
   End
   Begin VB.VScrollBar UpDown 
      Height          =   4935
      Left            =   5040
      Max             =   2048
      TabIndex        =   2
      Top             =   0
      Width           =   255
   End
   Begin VB.TextBox txtMul 
      Appearance      =   0  'Flat
      BackColor       =   &H8000000F&
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Text            =   "C:\program files\ultima online\anim.mul"
      Top             =   5400
      Width           =   4215
   End
   Begin VB.PictureBox PicViewer 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      ForeColor       =   &H80000008&
      Height          =   5000
      Left            =   0
      ScaleHeight     =   331
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   331
      TabIndex        =   0
      Top             =   0
      Width           =   5000
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Create by Fallout (roman3k@mail.ru) '

Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long

Dim AnimPic As clsMulDecode, pictureHdc As Long

Private Sub cmdGetIdList_Click()
    Dim recNum As Long, fileNum As Integer, testOffset As Long
    lstId.Clear
    recNum = 0
    fileNum = FreeFile()
    Open txtIdx.Text For Binary Access Read As fileNum
    Do Until EOF(fileNum)
        Get fileNum, recNum * 12 + 1, testOffset
        If testOffset <> -1 Then
            lstId.AddItem recNum
        End If
        recNum = recNum + 1
    Loop
    Close fileNum
End Sub

Private Sub cmdSetPath_Click()
    AnimPic.FilePath = txtMul.Text
    AnimPic.FilePathIdx = txtIdx.Text
End Sub

Private Sub Form_Load()
    Set AnimPic = New clsMulDecode
    AnimPic.FilePath = txtMul.Text
    AnimPic.FilePathIdx = txtIdx.Text
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set AnimPic = Nothing
End Sub

Private Sub lstId_Click()
    PicViewer.Cls
    AnimPic.DecodeFileInfo pictureHdc, CLng(lstId.Text)

    If (AnimPic.HeightInfo > PicViewer.ScaleHeight) Then
        UpDown.Max = AnimPic.HeightInfo - PicViewer.ScaleHeight
    Else
        UpDown.Max = 0
    End If

    If (AnimPic.WidhtInfo > PicViewer.ScaleWidth) Then
        LeftRight.Max = AnimPic.WidhtInfo - PicViewer.ScaleWidth
    Else
        LeftRight.Max = 0
    End If

    Draw_Chank
End Sub

Private Sub UpDown_Change()
    Draw_Chank
End Sub

Private Sub UpDown_Scroll()
    Draw_Chank
End Sub

Private Sub LeftRight_Change()
    Draw_Chank
End Sub

Private Sub LeftRight_Scroll()
    Draw_Chank
End Sub

Private Sub Draw_Chank()
    BitBlt PicViewer.hdc, 0, 0, PicViewer.ScaleWidth, PicViewer.ScaleHeight, pictureHdc, LeftRight.Value, UpDown.Value, vbSrcCopy
    PicViewer.Refresh
End Sub
